Get Issue CWEs
https://app.fossa.com/api/v2/issues/cwesGet the set of unique CWEs associated with current issues
Query parameters
statusenumIssue status
activeignoredscope[type]enumrequiredScope of issues to view / update
globalprojectreleaseGroupscope[id]stringProject or release group ID (required when scope[type] is "project" or "releaseGroup")
scope[revision]stringRevision ID (when scope[type] is "project")
scope[revisionScanId]integer <int32>Revision scan ID (when scope[type] is "project")
scope[release]stringRelease group ID (when scope[type] is "releaseGroup")
scope[releaseScanId]stringRelease scan ID (when scope[type] is "releaseGroup")
scope[compareTo][revision]stringThe revision ID to compare issues with. Only available for Project Scope.
scope[compareTo][changeStatus]enumThe status of issues to fetch when comparing issues. - New issues are present in the current revision but not in the comparison revision. - Remediated issues are present in the comparison revision but not in the current revision. - Unchanged issues are present in both revisions. Only available for Project Scope.
newremediatedunchangedteamIdstring | string[] | enumFilter issues by one or more team IDs. Accepts a single team ID, an array of team IDs, or the literal string `"null"` to scope to unassigned projects. Requires the `View` permission on each requested team; otherwise the request is rejected with a `403`. Ignored for organizations on the free tier.
Responses
200Unique CWEs associated with current issuescwesstring[]202Empty results with a message indicating the scoped project's build statusmessagestringcwesstring[]400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/issues/cwescurl --request GET \ --url 'https://app.fossa.com/api/v2/issues/cwes' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
statusenumIssue status
scope[type]enumrequiredScope of issues to view / update
scope[id]stringProject or release group ID (required when scope[type] is "project" or "releaseGroup")
scope[revision]stringRevision ID (when scope[type] is "project")
scope[revisionScanId]integerRevision scan ID (when scope[type] is "project")
scope[release]stringRelease group ID (when scope[type] is "releaseGroup")
scope[releaseScanId]stringRelease scan ID (when scope[type] is "releaseGroup")
scope[compareTo][revision]stringThe revision ID to compare issues with. Only available for Project Scope.
scope[compareTo][changeStatus]enumThe status of issues to fetch when comparing issues. - New issues are present in the current revision but not in the comparison revision. - Remediated issues are present in the comparison revision but not in the current revision. - Unchanged issues are present in both revisions. Only available for Project Scope.
teamIdstringFilter issues by one or more team IDs. Accepts a single team ID, an array of team IDs, or the literal string `"null"` to scope to unassigned projects. Requires the `View` permission on each requested team; otherwise the request is rejected with a `403`. Ignored for organizations on the free tier.